import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { NotFoundComponent } from 'app/pages/not-found/not-found.component';
import { ResumeComponent } from './pages/resume/resume.component';
import { GamesDashboardComponent } from './pages/games-dashboard/games-dashboard.component';
import { ProjectDashboardComponent } from './pages/project-dashboard/project-dashboard.component';
import { MagneticRecyclingQueenComponent } from './pages/game-dashboard/magnetic-recycling-queen/magnetic-recycling-queen.component';
import { SaltyPiranhaComponent } from './pages/game-dashboard/salty-piranha/salty-piranha.component';
import { LaserBluesComponent } from './pages/game-dashboard/laser-blues/laser-blues.component';
import { WhatTheFungiComponent } from './pages/game-dashboard/what-the-fungi/what-the-fungi.component';
import { ImpressumComponent } from './shared/impressum/impressum.component';
import { MusicComponent } from './pages/music/music.component';
import { ResumePdfComponent } from './pages/resume-pdf/resume-pdf.component';


const routes: Routes = [
    {
        path: 'resume',
        component: ResumeComponent,
    },
    {
        path: 'pdf',
        component: ResumePdfComponent,
    },
    {
        path: 'games',
        children: [

            {
                path: 'magnetic-recycling-queen',
                component: MagneticRecyclingQueenComponent
            },
            {
                path: 'salty-piranha',
                component: SaltyPiranhaComponent
            },
            {
                path: 'laser-blues',
                component: LaserBluesComponent
            },
            {
                path: 'what-the-fungi',
                component: WhatTheFungiComponent
            },
            {
                path: '',
                component: GamesDashboardComponent
            }
        ]
    },
    {
        path: 'projects',
        component: ProjectDashboardComponent,
    },
    {
        path: 'music',
        component: MusicComponent,
    },
    {
        path: 'legal',
        component: ImpressumComponent,
    },
    {
        path: '',
        redirectTo: 'resume',
        pathMatch: 'full'
    },
    {
        path: '**',
        component: NotFoundComponent,
    }

];

@NgModule({
    imports: [
        RouterModule.forRoot(routes, {
            enableTracing: false
        }),
    ],
    exports: [RouterModule]
})
export class AppRoutingModule { }
